org.eclipse.emf.facet.custom.metamodel.v0_2_0.custom

## Interface ETypedElementCase

    public interface ETypedElementCase

A representation of the model object 'ETyped Element Case'. Case part of the ETypedElementSwitchQuery.

The following features are supported:

- `Case`
- `Value`

See Also:
  `CustomPackage.getETypedElementCase()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`ETypedElement` `getCase()` Returns the value of the 'Case' reference.
`Query` `getValue()` Returns the value of the 'Value' containment reference.
`void` `setCase(ETypedElement value)` Sets the value of the '`Case`' reference.
`void` `setValue(Query value)` Sets the value of the '`Value`' containment reference.

### Method Detail

#### getCase

    ETypedElement getCase()

Returns the value of the 'Case' reference.

If the meaning of the 'Case' reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Case' reference.
See Also:
  `setCase(ETypedElement)`, `CustomPackage.getETypedElementCase_Case()`
Generated:
Model:
  required="true"

#### setCase

    void setCase(ETypedElement value)

Sets the value of the '`Case`' reference.

Parameters:
  `value` - the new value of the 'Case' reference.
See Also:
  `getCase()`
Generated:

#### getValue

    Query getValue()

Returns the value of the 'Value' containment reference.

If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' containment reference.
See Also:
  `setValue(Query)`, `CustomPackage.getETypedElementCase_Value()`
Generated:
Model:
  containment="true"

#### setValue

    void setValue(Query value)

Sets the value of the '`Value`' containment reference.

Parameters:
  `value` - the new value of the 'Value' containment reference.
See Also:
  `getValue()`
Generated: